Skip to main content
GET
Typescript (SDK)

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Path Parameters

id
string
required

Approval id (apr_...)

Response

Success

object
enum<string>
required
Available options:
approval
id
string
required
approval_id
string
required
status
enum<string>
required

pending_approval waits for a person. It ends executed (see result), failed (see error) or denied (see reason).

Available options:
draft,
pending_approval,
approved,
executed,
failed,
denied
kind
enum<string>
required
Available options:
pipedream,
composio,
rest,
mcp,
native,
saved_tool,
vault,
elicitation
action_type
string | null
required
title
string | null
required
app_slug
string | null
required
tool_name
string | null
required
result
object | null
required
error
string | null
required
reason
string | null
required
chat_id
string | null
required
created_at
string
required
resolved_at
string | null
required